BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

Performs conversions between base data types.

The following table shows conversions from source types to destination types. The first column contains the source types. The remaining columns indicate the destination types the source can be converted to. An 'x' indicates the

class implements the conversion. the column headers correspond precisely, in order, to the source types in the first column, but have been abbreviated to fit.

Type
Bool Byte Char DT Dec Dou I16 I32 I64 SBy Sin Str UI16 UI32 UI64
Boolean
x x x x x x x x x x x x x
Byte
x x x x x x x x x x x x x x
Char
x x x x x x x x x x
DateTime
x x
Decimal
x x x x x x x x x x x x x
Double
x x x x x x x x x x x x x
Int16
x x x x x x x x x x x x x x
Int32
x x x x x x x x x x x x x x
Int64
x x x x x x x x x x x x x x
SByte
x x x x x x x x x x x x x x
Single
x x x x x x x x x x x x x
String
x x x x x x x x x x x x x x x
UInt16
x x x x x x x x x x x x x x
UInt32
x x x x x x x x x x x x x x
UInt64
x x x x x x x x x x x x x x

If the conversion of a numeric type results in a loss of precision, no exception is thrown. However, an exception is thrown if the conversion result is a value that is larger than that which can be represented by the destination type. For example, when a is converted to a , a loss of precision might occur but no exception is thrown. However, if the magnitude of the is too large to be represented by a , a is thrown.

- Method
  System.Object `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Object To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte[] `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte[] `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.TypeCode `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.String `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.String `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Boolean `` The value to be converted.

  Converts a to a .

  is returned unchanged.

  This method is provided for completeness.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` The value to be converted.

  Converts a to a .

  if is non-zero; if is zero.

  To be added.

  The following example demonstrates converting values to values.

  `using System; class ConvertBoolTest { static public void Main() { byte byte0 = (byte) 0; byte byte1 = (Byte) 1; bool bool0 = Convert.ToBoolean(byte0); bool bool1 = Convert.ToBoolean(byte1); Console.WriteLine("(byte) {0} as bool = {1}",byte0,bool0); Console.WriteLine("(byte) {0} as bool = {1}",byte1,bool1); } }`

  The output is

  (byte) 0 as bool = False

  (byte) 1 as bool = True

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` The value to be converted.

  Converts a to a .

  if is non-zero; if is zero.

  To be added.

  The following example demonstrates converting values to values.

  `using System; class ConvertBoolTest { static public void Main() { decimal decimal0 = 0m; decimal decimal1 = 1m; decimal decimal2 = -2m; bool bool0 = Convert.ToBoolean(decimal0); bool bool1 = Convert.ToBoolean(decimal1); bool bool2 = Convert.ToBoolean(decimal2); Console.WriteLine("(decimal) {0} as bool = {1}",decimal0,bool0); Console.WriteLine("(decimal) {0} as bool = {1}",decimal1,bool1); Console.WriteLine("(decimal) {0} as bool = {1}",decimal2,bool2); } }`

  The output is

  (decimal) 0 as bool = False

  (decimal) 1 as bool = True

  (decimal) -2 as bool = True

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` The value to be converted.

  Converts a to a .

  if is non-zero; if is zero.

  To be added.

  The following example demonstrates converting values to values.

  `using System; class ConvertBoolTest { static public void Main() { double double0 = 0.0; double double1 = 1.0; double double2 = -2.0; bool bool0 = Convert.ToBoolean(double0); bool bool1 = Convert.ToBoolean(double1); bool bool2 = Convert.ToBoolean(double2); Console.WriteLine("(double) {0} as bool = {1}",double0,bool0); Console.WriteLine("(double) {0} as bool = {1}",double1,bool1); Console.WriteLine("(double) {0} as bool = {1}",double2,bool2); } }`

  The output is

  (double) 0 as bool = False

  (double) 1 as bool = True

  (double) -2 as bool = True

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` The 16-bit signed integer value to be converted.

  Converts a to a .

  if is non-zero; if is zero.

  To be added.

  The following example demonstrates converting values to values.

  `using System; class ConvertBoolTest { static public void Main() { short short0 = 0; short short1 = 1; short short2 = -2; bool bool0 = Convert.ToBoolean(short0); bool bool1 = Convert.ToBoolean(short1); bool bool2 = Convert.ToBoolean(short2); Console.WriteLine("(short) {0} as bool = {1}",short0,bool0); Console.WriteLine("(short) {0} as bool = {1}",short1,bool1); Console.WriteLine("(short) {0} as bool = {1}",short2,bool2); } }`

  The output is

  (short) 0 as bool = False

  (short) 1 as bool = True

  (short) -2 as bool = True

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` The 32-bit signed integer value to be converted.

  Converts a to a .

  if is non-zero; if is zero.

  To be added.

  The following example demonstrates converting values to values.

  `using System; class ConvertBoolTest { static public void Main() { int int0 = 0; int int1 = 1; int int2 = -2; bool bool0 = Convert.ToBoolean(int0); bool bool1 = Convert.ToBoolean(int1); bool bool2 = Convert.ToBoolean(int2); Console.WriteLine("(int) {0} as bool = {1}",int0,bool0); Console.WriteLine("(int) {0} as bool = {1}",int1,bool1); Console.WriteLine("(int) {0} as bool = {1}",int2,bool2); } }`

  The output is

  (int) 0 as bool = False

  (int) 1 as bool = True

  (int) -2 as bool = True

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` The 64-bit signed integer value to be converted.

  Converts a to a .

  if is non-zero; if is zero.

  To be added.

  The following example demonstrates converting values to values.

  `using System; class ConvertBoolTest { static public void Main() { long long0 = 0; long long1 = 1; long long2 = -2; bool bool0 = Convert.ToBoolean(long0); bool bool1 = Convert.ToBoolean(long1); bool bool2 = Convert.ToBoolean(long2); Console.WriteLine("(long) {0} as bool = {1}",long0,bool0); Console.WriteLine("(long) {0} as bool = {1}",long1,bool1); Console.WriteLine("(long) {0} as bool = {1}",long2,bool2); } }`

  The output is

  (long) 0 as bool = False

  (long) 1 as bool = True

  (long) -2 as bool = True

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` The 8-bit signed integer value to be converted.

  Converts a to a .

  if is non-zero; if is zero.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  The following example demonstrates converting values to values.

  `using System; class ConvertBoolTest { static public void Main() { sbyte sbyte0 = (sbyte) 0; sbyte sbyte1 = (sbyte) 1; sbyte sbyte2 = (sbyte) -2; bool bool0 = Convert.ToBoolean(sbyte0); bool bool1 = Convert.ToBoolean(sbyte1); bool bool2 = Convert.ToBoolean(sbyte2); Console.WriteLine("(sbyte) {0} as bool = {1}",sbyte0,bool0); Console.WriteLine("(sbyte) {0} as bool = {1}",sbyte1,bool1); Console.WriteLine("(sbyte) {0} as bool = {1}",sbyte2,bool2); } }`

  The output is

  (sbyte) 0 as bool = False

  (sbyte) 1 as bool = True

  (sbyte) -2 as bool = True

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Boolean `` The value to be converted.

  Converts a to a .

  if is non-zero; if is zero.

  To be added.

  The following example demonstrates converting values to values.

  `using System; class ConvertBoolTest { static public void Main() { float float0 = 0.0f; float float1 = 1.0f; float float2 = -2.0f; bool bool0 = Convert.ToBoolean(float0); bool bool1 = Convert.ToBoolean(float1); bool bool2 = Convert.ToBoolean(float2); Console.WriteLine("(float) {0} as bool = {1}",float0,bool0); Console.WriteLine("(float) {0} as bool = {1}",float1,bool1); Console.WriteLine("(float) {0} as bool = {1}",float2,bool2); } }`

  The output is

  (float) 0 as bool = False

  (float) 1 as bool = True

  (float) -2 as bool = True

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` The to be converted.

  Converts a to a .

  if equals ; if equals .

  To be added. is a null reference. is not equal to or .

  The following example demonstrates converting values to values.

  `using System; class ConvertBoolTest { static public void Main() { string string0 = Boolean.TrueString; string string1 = Boolean.FalseString; string string2 = "foo"; //This is an invalid Boolean. bool bool0 = Convert.ToBoolean(string0); bool bool1 = Convert.ToBoolean(string1); Console.WriteLine("(string) {0} as bool = {1}",string0,bool0); Console.WriteLine("(string) {0} as bool = {1}",string1,bool1); bool bool2 = Convert.ToBoolean(string2); //Throws an exception. Console.WriteLine("(string) {0} as bool = {1}",string2,bool2); } }`

  The output is

  `(string) True as bool = True (string) False as bool = False Unhandled Exception: System.FormatException: String was not recognized as a valid Boolean. at System.Boolean.Parse(String value) at Convert.ToBoolean(String value) at ConvertBoolTest.Main() in C:\ECMAExamples\ConvertString.cs:line 12` 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` The 16-bit unsigned integer value to be converted.

  Converts a to a .

  if is non-zero; if is zero.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  The following example demonstrates converting values to values.

  `using System; class ConvertBoolTest { static public void Main() { ushort ushort0 = 0; ushort ushort1 = 1; bool bool0 = Convert.ToBoolean(ushort0); bool bool1 = Convert.ToBoolean(ushort1); Console.WriteLine("(ushort) {0} as bool = {1}",ushort0,bool0); Console.WriteLine("(ushort) {0} as bool = {1}",ushort1,bool1); } }`

  The output is

  (ushort) 0 as bool = False

  (ushort) 1 as bool = True

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Boolean `` The 32-bit unsigned integer value to be converted.

  Converts a to a .

  if is non-zero; if is zero.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  The following example demonstrates converting values to values.

  `using System; class ConvertBoolTest { static public void Main() { uint uint0 = 0; uint uint1 = 1; bool bool0 = Convert.ToBoolean(uint0); bool bool1 = Convert.ToBoolean(uint1); Console.WriteLine("(uint) {0} as bool = {1}",uint0,bool0); Console.WriteLine("(uint) {0} as bool = {1}",uint1,bool1); } }`

  The output is

  (uint) 0 as bool = False

  (uint) 1 as bool = True

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Boolean `` The 64-bit unsigned integer value to be converted.

  Converts a to a .

  if is non-zero; if is zero.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  The following example demonstrates converting values to values.

  `using System; class ConvertBoolTest { static public void Main() { ulong ulong0 = 0; ulong ulong1 = 1; bool bool0 = Convert.ToBoolean(ulong0); bool bool1 = Convert.ToBoolean(ulong1); Console.WriteLine("(ulong) {0} as bool = {1}",ulong0,bool0); Console.WriteLine("(ulong) {0} as bool = {1}",ulong1,bool1); } }`

  The output is

  (ulong) 0 as bool = False

  (ulong) 1 as bool = True

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte `` The value to be converted.

  Converts a to a .

  If equals , returns 1; if equals , returns 0.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte `` The value to be converted.

  Converts a to a .

  is returned unchanged.

  This method is provided for completeness.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Byte `` The Unicode character to be converted interpreted as an unsigned value.

  Converts a to a .

  as a .

  To be added. The numeric value of is greater than .

  The following example demonstrates converting values to values.

  `using System; class ConvertByteTest { static public void Main() { char char0 = '0'; char char1 = '1'; char char2 = 'a'; byte byte0 = Convert.ToByte(char0); byte byte1 = Convert.ToByte(char1); byte byte2 = Convert.ToByte(char2); Console.WriteLine("(char) {0} as byte = {1}",char0,byte0); Console.WriteLine("(char) {0} as byte = {1}",char1,byte1); Console.WriteLine("(char) {0} as byte = {1}",char2,byte2); } }`

  The output is

  (char) 0 as byte = 48

  (char) 1 as byte = 49

  (char) a as byte = 97

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Byte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte `` The value to be converted.

  Converts a to a .

  as a , rounded to the nearest integer.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6. This process is known as banker's rounding.

  is greater than or less than .

  The following example demonstrates converting values to values.

  `using System; class ConvertByteTest { static public void Main() { decimal decimal0 = 0.0m; decimal decimal1 = 1.5m; decimal decimal2 = 2.5m; decimal decimal3 = -1.0m; byte byte0 = Convert.ToByte(decimal0); byte byte1 = Convert.ToByte(decimal1); byte byte2 = Convert.ToByte(decimal2); Console.WriteLine("(decimal) {0} as byte = {1}",decimal0,byte0); Console.WriteLine("(decimal) {0} as byte = {1}",decimal1,byte1); Console.WriteLine("(decimal) {0} as byte = {1}",decimal2,byte2); byte byte3 = Convert.ToByte(decimal3); //Throws an exception. Console.WriteLine("(decimal) {0} as byte = {1}",decimal3,byte3); } }`

  The output is

  (decimal) 0 as byte = 0

  (decimal) 1.5 as byte = 2

  (decimal) 2.5 as byte = 2

  Exception occurred: System.OverflowException: Value was either too large or too small for an unsigned byte.

  at System.Decimal.ToByte(Decimal value)

  at Convert.ToByte(Decimal value)

  at ConvertByteTest.Main() in C:\ECMAExamples\ConvertToByte\ConvertDecimal.cs:line 15

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Byte `` The value to be converted.

  Converts a to a .

  as a , rounded to the nearest integer.

  Prior to the conversion, if is halfway between two numbers, it is rounded to the number that has an even digit in the rightmost decimal position. For example, when rounded to two decimals, the value 2.345 becomes 2.34 and the value 2.355 becomes 2.36

  is greater than or less than , or is equal to one of , , or .

  The following example demonstrates converting values to values.

  `using System; class ConvertByteTest { static public void Main() { double double0 = 0.0; double double1 = 1.5; double double2 = 2.5; double double3 = -1.0; byte byte0 = Convert.ToByte(double0); byte byte1 = Convert.ToByte(double1); byte byte2 = Convert.ToByte(double2); Console.WriteLine("(double) {0} as byte = {1}",double0,byte0); Console.WriteLine("(double) {0} as byte = {1}",double1,byte1); Console.WriteLine("(double) {0} as byte = {1}",double2,byte2); byte byte3 = Convert.ToByte(double3); //Throws an exception. Console.WriteLine("(double) {0} as byte = {1}",double3,byte3); } }`

  The output is

  (double) 0 as byte = 0

  (double) 1.5 as byte = 2

  (double) 2.5 as byte = 2

  Exception occurred: System.OverflowException: Value was either too large or too small for an unsigned byte.

  at Convert.ToByte(Int32 value)

  at Convert.ToByte(Double value)

  at ConvertByteTest.Main() in C:\ECMAExamples\ConvertToByte\ConvertDouble.cs:line 15

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Byte `` The 16-bit signed integer value to be converted.

  Converts a to a .

  as a .

  To be added. is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte `` The 32-bit signed integer value to be converted.

  Converts a to a .

  as a .

  To be added. is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte `` The 64-bit signed integer value to be converted.

  Converts a to a .

  as a .

  To be added. is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte `` The 8-bit signed integer to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Byte `` The value to be converted.

  Converts a to a .

  as a , rounded to the nearest integer.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  is greater than or less than , or is equal to one of , , or .

  The following example demonstrates converting values to values.

  `using System; class ConvertByteTest { static public void Main() { float float0 = 0.0f; float float1 = 1.5f; float float2 = 2.5f; float float3 = -1.0f; byte byte0 = Convert.ToByte(float0); byte byte1 = Convert.ToByte(float1); byte byte2 = Convert.ToByte(float2); Console.WriteLine("(float) {0} as byte = {1}",float0,byte0); Console.WriteLine("(float) {0} as byte = {1}",float1,byte1); Console.WriteLine("(float) {0} as byte = {1}",float2,byte2); byte byte3 = Convert.ToByte(float3); //Throws an exception. Console.WriteLine("(float) {0} as byte = {1}",float3,byte3); } }`

  The output is

  (float) 0 as byte = 0

  (float) 1.5 as byte = 2

  (float) 2.5 as byte = 2

  Exception occurred: System.OverflowException: Value was either too large or too small for an unsigned byte.

  at Convert.ToByte(Int32 value)

  at Convert.ToByte(Single value)

  at ConvertByteTest.Main() in C:\ECMAExamples\ConvertToByte\ConvertFloat.cs:line 15

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Byte `` The to be converted. The string is in the style.

  Converts a representation of a number to a .

  as a .

  To be added. is a null reference. does not consist of an optional sign followed by one or more digits (zero through nine). The numeric value of is greater than or less than .

  The following example demonstrates converting values to values.

  `using System; class ConvertByteTest { static public void Main() { string string0 = "+22"; string string1 = "0"; string string2 = "-1"; byte byte0 = Convert.ToByte(string0); byte byte1 = Convert.ToByte(string1); Console.WriteLine("(string) {0} as byte = {1}",string0,byte0); Console.WriteLine("(string) {0} as byte = {1}",string1,byte1); byte byte2 = Convert.ToByte(string2); Console.WriteLine("(string) {0} as byte = {1}",string2,byte2); } }`

  The output is

  (string) +22 as byte = 22

  (string) 0 as byte = 0

  Exception occurred: System.OverflowException: Value was either too large or too small for an unsigned byte.

  at System.Byte.Parse(String s, NumberStyles style, IFormatProvider provider)

  at System.Byte.Parse(String s)

  at Convert.ToByte(String value)

  at ConvertByteTest.Main() in C:\ECMAExamples\ConvertToByte\ConvertString.cs:line 11

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Byte `` The 16-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than .

  The following example demonstrates converting values to values.

  `using System; class ConvertByteTest { static public void Main() { ushort ushort0 = 0; ushort ushort1 = 32000; byte byte0 = Convert.ToByte(ushort0); Console.WriteLine("(ushort) {0} as byte = {1}",ushort0,byte0); byte byte1 = Convert.ToByte(ushort1); //Throws an exception. Console.WriteLine("(ushort) {0} as byte = {1}",ushort1,byte1); } }`

  The output is

  (ushort) 0 as byte = 0

  Exception occurred: System.OverflowException: Value was either too large or too small for an unsigned byte.

  at Convert.ToByte(UInt16 value)

  at ConvertByteTest.Main() in C:\ECMAExamples\ConvertToByte\ConvertUInt16.cs:line 8

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Byte `` The 32-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Byte `` The 64-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than .

  The following example demonstrates converting values to values.

  `using System; class ConvertByteTest { static public void Main() { ulong ulong0 = 0; ulong ulong1 = 32000; byte byte0 = Convert.ToByte(ulong0); Console.WriteLine("(ulong) {0} as byte = {1}",ulong0,byte0); byte byte1 = Convert.ToByte(ulong1); //Throws an exception. Console.WriteLine("(ulong) {0} as byte = {1}",ulong1,byte1); } }`

  The output is

  (ulong) 0 as byte = 0

  Exception occurred: System.OverflowException: Value was either too large or too small for an unsigned byte.

  at Convert.ToByte(UInt64 value)

  at ConvertByteTest.Main() in C:\ECMAExamples\ConvertToByte\ConvertUInt64.cs:line 8

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Byte `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte `` `` The to be converted. The string is in the style. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  as a .

  This method parses using the information in the instance supplied by . If is or if a cannot be obtained from , the string is parsed using the formatting information of the current system culture.

  is a null reference. does not consist of an optional sign followed by one or more digits (zero through nine). The numeric value of is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` The value to be converted.

  Converts a to a .

  as a .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` The Unicode character to be converted.

  Converts a to a .

  is returned unchanged.

  This method is provided for completeness.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Char `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` The 16-bit signed integer value to be converted.

  Converts a to a .

  as a .

  To be added. is less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` The 32-bit signed integer value to be converted.

  Converts a to a .

  as a .

  To be added. is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` The 64-bit signed integer value to be converted.

  Converts a to a .

  as a .

  To be added. is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` The value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  value is less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Char `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` The to be converted. The is required to contain a single character.

  Converts a to a .

  as a .

  To be added. does not contain exactly one character. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` The 16-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Char `` The 32-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  To be added. is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Char `` The 64-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Char `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` The to be converted.

  Converts a to a .

  is returned unchanged.

  This method is provided for completeness.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` The to be converted. The string is in a form allowed by the () method.

  Converts a to a structure.

  as a .

  This method parses using the information in a instance initialized for the current system culture.

  is a null reference. cannot be converted to a . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.DateTime `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` `` The to be converted. A that supplies a containing culture-specific formatting information.

  Converts a to a structure.

  as a .

  This method parses using the information in the instance supplied by . If is or if a cannot be obtained from , the string is parsed using the formatting information of the current system culture.

  is a null reference. cannot be converted to a . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` The value to be converted.

  Converts a to a .

  If is returns 1; if is returns 0.

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` The value to be converted.

  Converts a to a .

  as a .

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` The value to be converted.

  Converts a to a .

  is returned unchanged.

  This method is provided for completeness.

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Decimal `` The value to be converted.

  Converts a to a .

  as a . The contains 15 significant digits and is rounded using banker's rounding.

  To be added. The numeric value of is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` The 16-bit signed integer value to be converted.

  Converts a to a .

  as a .

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` The 32-bit signed integer value to be converted.

  Converts a to a .

  as a .

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` The 64-bit signed integer value to be converted.

  Converts a to a .

  as a .

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` The value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Decimal `` The value to be converted.

  Converts a to a .

  as a . The contains 7 significant digits and is rounded using banker's rounding.

  To be added. The numeric value of is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` The to be converted. The string is in the style.

  Converts a to a .

  as a .

  This method parses using the information in a instance initialized for the current system culture.

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` The 16-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Decimal `` The 32-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Decimal `` The 64-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Decimal `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` `` The to be converted. The string is in the style. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  as a .

  This method parses using the information in the instance supplied by . If is or if a cannot be obtained from , the string is parsed using the formatting information of the current system culture.

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` The value to be converted.

  Converts a to a .

  If is returns 1; if is returns 0.

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` The value to be converted.

  Converts a to a .

  as a .

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` The value to be converted.

  Converts a to a .

  as a . is rounded using banker's rounding.

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` The value to be converted.

  Converts a to a .

  is returned unchanged.

  This method is provided for completeness.

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Double `` The 16-bit signed integer value to be converted.

  Converts a to a .

  as a .

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` The 32-bit signed integer value to be converted.

  Converts a to a .

  as a .

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` The 64-bit signed integer value to be converted.

  Converts a to a .

  as a .

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` The value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Double `` The value to be converted.

  Converts a to a .

  as a .

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` The to be converted. The string is in the | style.

  Converts a to a .

  as a .

  This method parses using the information in a instance initialized for the current system culture.

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` The 16-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Double `` The 32-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Double `` The 64-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Double `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` `` The to be converted. The string is in the | style. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  as a .

  This method parses using the information in the instance supplied by . If is or if a cannot be obtained from , the string is parsed using the formatting information of the current system culture.

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` The value to be converted.

  Converts a to a .

  If is returns 1; if is returns 0.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` The value to be converted.

  Converts a to a .

  as a 16-bit signed integer.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` The to be converted interpreted as an unsigned value.

  Converts a to a .

  as a 16-bit signed integer.

  To be added. The numeric value of is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` The value to be converted.

  Converts a to a .

  as a 16-bit signed integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` The value to be converted.

  Converts a to a .

  as a 16-bit signed integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` The 16-bit signed integer value to be converted.

  Converts a to a .

  is returned unchanged.

  This method is provided for completeness.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int16 `` The 32-bit signed integer value to be converted.

  Converts a to a .

  as a 16-bit signed integer.

  To be added. is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` The 64-bit signed integer value to be converted.

  Converts a to a .

  as a 16-bit signed integer.

  To be added. value is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` The value to be converted.

  Converts a to a .

  as a 16-bit signed integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Int16 `` The value to be converted.

  Converts a to a .

  as a 16-bit signed integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` The to be converted. The string is in the style.

  Converts a to a .

  as a 16-bit signed integer.

  This method parses using the information in a instance initialized for the current system culture.

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` The 16-bit unsigned integer value to be converted.

  Converts a to a .

  as a 16-bit signed integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Int16 `` The 32-bit unsigned integer value to be converted.

  Converts a to a .

  as a 16-bit signed integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Int16 `` The 64-bit unsigned integer value to be converted.

  Converts a to a .

  as a 16-bit signed integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Int16 `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` `` The to be converted. The string is in the style. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  as a 16-bit signed integer.

  This method parses using the information in the instance supplied by . If is or if a cannot be obtained from , the string is parsed using the formatting information of the current system culture.

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` The value to be converted.

  Converts a to a .

  If is returns 1; if is returns 0.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` The value to be converted.

  Converts a to a .

  as a 32-bit signed integer.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` The to be converted interpreted as an unsigned value.

  Converts a to a .

  as a 32-bit signed integer.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` The value to be converted.

  Converts a to a .

  as a 32-bit signed integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` The value to be converted.

  Converts a to a .

  as a 32-bit signed integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` The 16-bit signed integer value to be converted.

  Converts a to a .

  as a 32-bit signed integer.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` The 32-bit signed integer value to be converted.

  Converts a to a .

  is returned unchanged.

  This method is provided for completeness.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` The 64-bit signed integer value to be converted.

  Converts a to a .

  as a 32-bit signed integer.

  To be added. is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` The value to be converted.

  Converts a to a .

  as a 32-bit signed integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Int32 `` The value to be converted.

  Converts a to a .

  as a 32-bit signed integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` The to be converted. The string is in the style.

  Converts a to a .

  as a 32-bit signed integer.

  This method parses using the information in a instance initialized for the current system culture.

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` The 16-bit unsigned integer value to be converted.

  Converts a to a .

  as a 32-bit signed integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Int32 `` The 32-bit unsigned integer value to be converted.

  Converts a to a .

  as a 32-bit signed integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Int32 `` The 64-bit unsigned integer value to be converted.

  Converts a to a .

  as a 32-bit signed integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` `` The to be converted. The string is in the style. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  as a 32-bit signed integer.

  This method parses using the information in the instance supplied by . If is or if a cannot be obtained from , the string is parsed using the formatting information of the current system culture.

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` The value to be converted.

  Converts a to a .

  If is returns 1; if is returns 0.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` The value to be converted.

  Converts a to a .

  as a 64-bit signed integer.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` The to be converted interpreted as an unsigned value.

  Converts a to a .

  as a 64-bit signed integer.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` The value to be converted.

  Converts a to a .

  as a 64-bit signed integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` The value to be converted.

  Converts a to a .

  as a 64-bit signed integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` The 16-bit signed integer value to be converted.

  Converts a to a .

  as a 64-bit signed integer.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` The 32-bit signed integer value to be converted.

  Converts a to a .

  as a 64-bit signed integer.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` The 64-bit signed integer value to be converted.

  Converts a to a .

  is returned unchanged.

  This method is provided for completeness.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` The value to be converted.

  Converts a to a .

  as a 64-bit signed integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Int64 `` The value to be converted.

  Converts a to a .

  as a 64-bit signed integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` The to be converted. The string is in the style.

  Converts a to a .

  as a 64-bit signed integer.

  This method parses using the information in a instance initialized for the current system culture.

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` The 16-bit unsigned integer value to be converted.

  Converts a to a .

  as a 64-bit signed integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Int64 `` The 32-bit unsigned integer value to be converted.

  Converts a to a .

  as a 64-bit signed integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Int64 `` The 64-bit unsigned integer value to be converted.

  Converts a to a .

  as a 64-bit signed integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Int64 `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` `` The to be converted. The string is in the style. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  as a 64-bit signed integer.

  This method parses using the information in the instance supplied by . If is or if a cannot be obtained from , the string is parsed using the formatting information of the current system culture.

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.SByte `` The value to be converted.

  Converts a to a .

  If is true 1; if is returns 0.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.SByte `` The value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.SByte `` The to be converted interpreted as an unsigned value.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  The numeric value of is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.SByte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.SByte `` The value to be converted.

  Converts a to a .

  as a , rounded to the nearest integer.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.SByte `` The value to be converted.

  Converts a to a .

  as a , rounded to the nearest integer.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.SByte `` The 16-bit signed integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.SByte `` The 32-bit signed integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.SByte `` The 64-bit signed integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.SByte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.SByte `` The value to be converted.

  Converts a to a .

  is returned unchanged.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  This method is provided for completeness.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.SByte `` The value to be converted.

  Converts a to a .

  as a , rounded to the nearest integer.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.SByte `` The to be converted. The string is in the style.

  Converts a representation of a number to a .

  as a .

  This method parses using the information in a instance initialized for the current system culture.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is a null reference. cannot be converted to a numeric value in the specified format. The numeric value of is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.SByte `` The 16-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.SByte `` The 32-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.SByte `` The 64-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.SByte `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.SByte `` `` The to be converted. The string is in the style. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  as a .

  This method parses using the information in the instance supplied by . If is or if a cannot be obtained from , the string is parsed using the formatting information of the current system culture.

  This member is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.SByte `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Single `` The value to be converted.

  Converts a to a .

  If is returns 1; if is returns 0.

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` The value to be converted.

  Converts a to a .

  as a .

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` The value to be converted.

  Converts a to a .

  as a . is rounded using banker's rounding.

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` The value to be converted.

  Converts a to a .

  as a .

  To be added. is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` The 16-bit signed integer value to be converted.

  Converts a to a .

  as a .

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` The 32-bit signed integer value to be converted.

  Converts a to a .

  as a .

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` The 64-bit signed integer value to be converted.

  Converts a to a .

  as a .

  To be added. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` The value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Single `` The value to be converted.

  Converts a to a .

  as a .

  This method is provided for completeness.

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Single `` The to be converted. The string is in the | style.

  Converts a to a .

  as a .

  This method parses using the information in a instance initialized for the current system culture.

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` The 16-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Single `` The 32-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Single `` The 64-bit unsigned integer value to be converted.

  Converts a to a .

  as a .

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.Single `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` `` The to be converted. The string is in the | style. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  as a .

  This method parses using the information in the instance supplied by . If is or if a cannot be obtained from , the string is parsed using the formatting information of the current system culture.

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` The value to be converted.

  Converts a to a .

  Returns the value returned by .ToString().

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` The value to be converted.

  Converts a to a .

  Returns the value returned by .ToString().

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` The to be converted.

  Converts a to a .

  as a .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` The value to be converted.

  Converts a value to a .

  Returns the value returned by .ToString().

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` The value to be converted.

  Converts a to a .

  Returns the value returned by .ToString().

  See .

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` The value to be converted.

  Converts a to a .

  Returns the value returned by .ToString().

  See .

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` The 16-bit signed integer value to be converted.

  Converts a to a .

  Returns the value returned by .ToString().

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` The 32-bit signed integer value to be converted.

  Converts a to a .

  Returns the value returned by .ToString().

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` The 64-bit signed integer value to be converted.

  Converts a to a .

  Returns the value returned by .ToString().

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` The value to be converted.

  Converts a to a .

  Returns the value returned by .ToString().

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.String `` The value to be converted.

  Converts a to a .

  Returns the value returned by .ToString().

  See .

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` A .

  Returns the specified string.

  is returned unchanged.

  This method is provided for completeness.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` The 16-bit unsigned integer value to be converted.

  Converts a to a .

  Returns the value returned by .ToString().

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.String `` The 32-bit unsigned integer value to be converted.

  Converts a to a .

  Returns the value returned by .ToString().

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.String `` The 64-bit unsigned integer value to be converted.

  Converts a to a .

  Returns the value returned by .ToString().

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` `` The value to be converted. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  Returns the value returned by .ToString().

  This method converts using the information in the instance supplied by . If is or if a cannot be obtained from , the string is formatted in accordance with the current system culture.

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` `` The value to be converted. A that supplies a containing culture-specific formatting information.

  Converts a value to a .

  Returns the value returned by .ToString().

  This method converts using the information in the instance supplied by . If is or if a cannot be obtained from , the string is formatted in accordance with the current system culture.

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` `` The value to be converted. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  Returns the value returned by .ToString().

  This method converts using the information in the instance supplied by . If is or if a cannot be obtained from , the string is formatted in accordance with the current system culture.

  See .

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` `` The value to be converted. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  Returns the value returned by .ToString().

  This method converts using the information in the instance supplied by . If is or if a cannot be obtained from , the string is formatted in accordance with the current system culture.

  See .

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` `` The 16-bit signed integer value to be converted. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  Returns the value returned by .ToString().

  This method converts using the information in the instance supplied by . If is or if a cannot be obtained from , the string is formatted in accordance with the current system culture.

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` `` The 32-bit signed integer value to be converted. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  Returns the value returned by .ToString().

  This method converts using the information in the instance supplied by . If is or if a cannot be obtained from , the string is formatted in accordance with the current system culture.

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` `` The 64-bit signed integer value to be converted. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  Returns the value returned by .ToString().

  This method converts using the information in the instance supplied by . If is or if a cannot be obtained from , the string is formatted in accordance with the current system culture.

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` `` The value to be converted. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  Returns the value returned by .ToString().

  This member is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  This method converts using the information in the instance supplied by . If is or if a cannot be obtained from , the string is formatted in accordance with the current system culture.

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.String `` `` The value to be converted. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  Returns the value returned by .ToString().

  This method converts using the information in the instance supplied by . If is or if a cannot be obtained from , the string is formatted in accordance with the current system culture.

  See .

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` `` The 16-bit unsigned integer value to be converted. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  Returns the value returned by .ToString().

  This member is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  This method converts using the information in the instance supplied by . If is or if a cannot be obtained from , the string is formatted in accordance with the current system culture.

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.String `` `` The 32-bit unsigned integer value to be converted. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  Returns the value returned by .ToString().

  This member is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  This method converts using the information in the instance supplied by . If is or if a cannot be obtained from , the string is formatted in accordance with the current system culture.

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.String `` `` The 64-bit unsigned integer value to be converted. A that supplies a containing culture-specific formatting information.

  Converts a to a .

  Returns the value returned by .ToString().

  This member is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  This method converts using the information in the instance supplied by . If is or if a cannot be obtained from , the string is formatted in accordance with the current system culture.

  See .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt16 `` The value to be converted.

  Converts a to a .

  If is returns 1; if is returns 0.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt16 `` The value to be converted.

  Converts a to a .

  as a 16-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt16 `` The to be converted interpreted as an unsigned value.

  Converts a to a .

  as a 16-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt16 `` The value to be converted.

  Converts a to a .

  as a 16-bit unsigned integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt16 `` The value to be converted.

  Converts a to a .

  as a 16-bit unsigned integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt16 `` The 16-bit signed integer value to be converted.

  Converts a to a .

  as a 16-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt16 `` The 32-bit signed integer value to be converted.

  Converts a to a .

  value as a 16-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt16 `` The 64-bit signed integer value to be converted.

  Converts a to a .

  as a 16-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt16 `` The value to be converted.

  Converts a to a .

  as a 16-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt16 `` The value to be converted.

  Converts a to a .

  as a 16-bit unsigned integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt16 `` The to be converted. The string is in the style.

  Converts a to a .

  as a 16-bit unsigned integer.

  This method parses using the information in a instance initialized for the current system culture.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt16 `` The 16-bit unsigned integer value to be converted.

  Converts a to a .

  is returned unchanged.

  This method is provided for completeness.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt16 `` The 32-bit unsigned integer value to be converted.

  Converts a to a .

  as a 16-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt16 `` The 64-bit unsigned integer value to be converted.

  Converts a to a .

  as a 16-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt16 `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt16 `` `` The to be converted. The string is in the style. An object that implements the interface and supplies a instance containing culture-specific formatting information.

  Converts a to a .

  as a 16-bit unsigned integer.

  This method parses using the information in the instance supplied by . If is or if a cannot be obtained from , the string is parsed using the formatting information of the current system culture.

  This member is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt16 `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 `` The value to be converted.

  Converts a to a .

  If is returns 1; if is returns 0.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt32 `` The value to be converted.

  Converts a to a .

  as a 32-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt32 `` The to be converted interpreted as an unsigned value.

  Converts a to a .

  as a 32-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 `` The value to be converted.

  Converts a to a .

  as a 32-bit unsigned integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 `` The value to be converted.

  Converts a to a .

  as a 32-bit unsigned integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 `` The 16-bit signed integer value to be converted.

  Converts a to a .

  as a 32-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 `` The 32-bit signed integer value to be converted.

  Converts a to a .

  as a 32-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 `` The 64-bit signed integer value to be converted.

  Converts a to a .

  as a 32-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 `` The value to be converted.

  Converts a to a .

  as a 32-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 `` The value to be converted.

  Converts a to a .

  as a 32-bit unsigned integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 `` The to be converted. The string is in the style.

  Converts a to a .

  as a 32-bit unsigned integer.

  This method parses using the information in a instance initialized for the current system culture.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 `` The 16-bit unsigned integer value to be converted.

  Converts a to a .

  as a 32-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt32 `` The 32-bit unsigned integer value to be converted.

  Converts a to a .

  is returned unchanged.

  This method is provided for completeness.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt32 `` The 64-bit unsigned integer value to be converted.

  Converts a to a .

  as a 32-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 `` `` The to be converted. The string is in the style. An object that implements the interface and supplies a instance containing culture-specific formatting information.

  Converts a to a .

  as an 32-bit unsigned integer.

  This method parses using the information in the instance supplied by . If is or if a cannot be obtained from , the string is parsed using the formatting information of the current system culture.

  This member is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt64 `` The value to be converted.

  Converts a to a .

  If is returns 1; if is returns 0.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt64 `` The value to be converted.

  Converts a to a .

  as a 64-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt64 `` The to be converted interpreted as an unsigned value.

  Converts a to a .

  as a 64-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt64 `` The value to be converted.

  Converts a to a .

  as a 64-bit unsigned integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt64 `` The value to be converted.

  Converts a to a .

  as a 64-bit unsigned integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt64 `` The 16-bit signed integer value to be converted.

  Converts a to a .

  as a 64-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt64 `` The 32-bit signed integer value to be converted.

  Converts a to a .

  as a 64-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt64 `` The 64-bit signed integer value to be converted.

  Converts a to a .

  as a 64-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt64 `` The value to be converted.

  Converts a to a .

  as a 64-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  value is less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt64 `` The value to be converted.

  Converts a to a .

  as a 64-bit unsigned integer. is rounded prior to conversion.

  Prior to the conversion, if is halfway between two whole numbers, it is rounded to the nearest even integer. For example, 4.5 is rounded to 4, and 5.5 is rounded to 6.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is greater than or less than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt64 `` The to be converted. The string is in the style.

  Converts a to a .

  as a 64-bit unsigned integer.

  This method parses using the information in a instance initialized for the current system culture.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  is null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt64 `` The 16-bit unsigned integer value to be converted.

  Converts a to a .

  as a 64-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt64 `` The 32-bit unsigned integer value to be converted.

  Converts a to a .

  as a 64-bit unsigned integer.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt64 `` The 64-bit unsigned integer value to be converted.

  Converts a to a .

  is returned unchanged.

  This method is provided for completeness.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.UInt64 `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt64 `` `` The to be converted. The string is in the style. A that implements the interface and supplies a instance containing culture-specific formatting information.

  Converts a to a .

  as a 64-bit unsigned integer.

  This method parses using the information in the instance supplied by . If is or if a cannot be obtained from , the string is parsed using the formatting information of the current system culture.

  This member is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  is a null reference. cannot be converted to a numeric value. The numeric value of is greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt64 `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
0